"Sewing" edges to a face

I like to create a wire of some edges:

...
BRepBuilderAPI_MakeWire Wire;
Wire.Add(edge1);
Wire.Add(edge2);
Wire.Add(edge3);
Wire.Add(edge4);

the Wire.IsDone() function returns true but when I try to make a face:

BRepBuilderAPI_MakeFace MF(Wire);

MF.Error() returns BRepBuilderAPI_NoFace
The edges should be in the same plane and the vertices should bee almost the same (that making a closed face).
The vertices are:

CartesianPoint: X = -0.000000 Y = -0.000000
CartesianPoint: X = 9230.769200 Y = 3846.153800

CartesianPoint: X = 9230.769200 Y = 3846.153800
CartesianPoint: X = 8936.094700 Y = 4138.372800

CartesianPoint: X = 8936.094700 Y = 4138.372800
CartesianPoint: X = -0.000000 Y = 415.000000

CartesianPoint: X = -0.000000 Y = 415.000000
CartesianPoint: X = -0.000000 Y = -0.000000

Is there any Tool for making the face for me...?

Rob Bachrach's picture

That's interesting...
According to the OCC docs BRepBuilderAPI_NoFace means "No initialization of the algorithm; only an empty constructor was used."

Of course, that does not seem to be the case here. You might try something like this instead:

BRepBuilderAPI_MakeFace MF(Wire.Wire(), Standard_True);

See if you get the same error. I have used this constructor for MakeFace many many times and have never had a problem.

sas's picture

Hi!
How to get the vertex printed out in OCAF or in another applications.
In win32 console application runs without error but no output, just crash. Dump(aBox,std::out);

help me with this
sas